Bug 2079589 - AzureStack is hard-coded to use Standard_LRS for the disk type
Summary: AzureStack is hard-coded to use Standard_LRS for the disk type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.10
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.10.z
Assignee: aos-install
QA Contact: Mike Gahagan
URL:
Whiteboard:
Depends On: 2061544
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-27 19:44 UTC by OpenShift BugZilla Robot
Modified: 2022-05-18 11:51 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-18 11:51:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5851 0 None open [release-4.10] Bug 2079589: azurestack: stop pinning to Standard_LRS for disk type 2022-04-27 19:44:45 UTC
Red Hat Product Errata RHBA-2022:2178 0 None None None 2022-05-18 11:51:17 UTC

Internal Links: 2100612

Comment 2 Mike Gahagan 2022-05-05 20:19:04 UTC
[m@fedora containers]$ oc get clusterversion
NAME      VERSION                              AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.10.0-0.nightly-2022-05-05-171206   True        False         70m     Cluster version is 4.10.0-0.nightly-2022-05-05-171206
[m@fedora containers]$ oc get nodes
NAME                                    STATUS   ROLES    AGE   VERSION
mgahagan411-g2sj8-master-0              Ready    master   94m   v1.23.5+b463d71
mgahagan411-g2sj8-master-1              Ready    master   94m   v1.23.5+b463d71
mgahagan411-g2sj8-master-2              Ready    master   94m   v1.23.5+b463d71
mgahagan411-g2sj8-worker-mtcazs-7n7wh   Ready    worker   85m   v1.23.5+b463d71
mgahagan411-g2sj8-worker-mtcazs-nvgjp   Ready    worker   77m   v1.23.5+b463d71
mgahagan411-g2sj8-worker-mtcazs-zk4ll   Ready    worker   83m   v1.23.5+b463d71

az vm show -g mgahagan411-g2sj8-rg -n mgahagan411-g2sj8-master-0
    "osDisk": {
      "caching": "None",
      "createOption": "FromImage",
      "diskSizeGb": 1023,
      "encryptionSettings": null,
      "image": null,
      "managedDisk": {
        "id": "/subscriptions/de7e09c3-b59a-4c7d-9c77-439c11b92879/resourceGroups/mgahagan411-g2sj8-rg/providers/Microsoft.Compute/disks/mgahagan411-g2sj8-master-0_OSDisk",
        "resourceGroup": "mgahagan411-g2sj8-rg",
        "storageAccountType": "Premium_LRS"
      },
      "name": "mgahagan411-g2sj8-master-0_OSDisk",
      "osType": "Linux",
      "vhd": null,
      "writeAcceleratorEnabled": null
    }

this one can verified, this is a 4.10 cluster, I just named it incorrectly

Comment 5 errata-xmlrpc 2022-05-18 11:51:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.14 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:2178


Note You need to log in before you can comment on or make changes to this bug.